SPI_copytuple()

NAME
SPI_copytuple - make a copy of a row in the upper executor context

SYNOPSIS

HeapTuple SPI_copytuple(HeapTuple row)

DESCRIPTION

SPI_copytuple makes a copy of a row in the upper executor context.

ARGUMENTS

HeapTuple row
    row to be copied

RETURN VALUE

the copied row; NULL only if tuple is NULL